<div
  *ngIf="inputForm"
  class="input-container"
  [formGroup]="inputForm"
  autocomplete="off"
  [ngClass]="{ 'input-container__tiny': isTiny }"
>
  <label *ngIf="checkLabelAvailability()">
    {{ label }}
    <span *ngIf="validation && !noIcon" class="validation-star">*</span>
    <span *ngIf="!validation && !noIcon" class="chosen">(اختیاری)</span>
    <span *ngIf="noIcon" class="chosen"></span>
  </label>
  <h5 *ngIf="mode === 'view'; else modeForm">
    {{ inputForm.value[inputName] }}
  </h5>

  <ng-template #modeForm>
    <mat-form-field
    autocomplete="off"
      appearance="outline"
      class="input-outline"
      [ngClass]="{
        'input-container--price': isPrice,
        'input-container--suffix': suffix,
        'input-container--number': type === 'number' && !suffix
      }"
    >
      <span *ngIf="suffix" matSuffix class="suffix">{{ suffix }}</span>
      <input
        #autocomplete
        matInput
        [type]="type"
        inputmode="numeric"
        autocomplete="new-password"
        *ngIf="!isPrice"
        [placeholder]="placeholder"
        [formControlName]="inputName"
      />
      <input
        matInput
        [type]="type"
        *ngIf="isPrice"
        pattern="[0-9]*"
        inputmode="numeric"
        autocomplete="new-password"
        [placeholder]="placeholder"
        [formControlName]="inputName"
        [value]="inputForm.value[inputName] | seprate"
      />
      <button
        matSuffix
        mat-button
        tabIndex="-1"
        mat-icon-button
        class="close-button"
        (click)="onClearValue()"
        *ngIf="inputForm.value[inputName]"
        [ngClass]="{ 'close-button--multi': suffix }"
      >
        <mat-icon>close</mat-icon>
      </button>
      <mat-hint *ngIf="hint" class="hint">{{ hint }}</mat-hint>

      <mat-error *ngFor="let val of validation">
        <span *ngIf="hasError(inputName, val.type)">{{ val.message }}</span>
      </mat-error>
    </mat-form-field>
  </ng-template>
</div>
